import { BaseSDK } from './sdk';
import { Keyboard, ResponseType } from '@jolibox/types';
export declare class KeyboardSDK extends BaseSDK implements Keyboard {
    /**
     * 显示键盘
     * @param params
     * @returns
     */
    showKeyboard(params: {
        defaultValue?: string;
        maxLength?: number;
        multiple?: boolean;
    }): {
        code: ResponseType;
        message: string;
    } | undefined;
    /**
     * 更新键盘
     * @param value
     * @returns
     */
    updateKeyboard(value: string): {
        code: ResponseType;
        message: string;
    } | undefined;
    /**
     * 隐藏键盘
     * @returns
     */
    hideKeyboard(): {
        code: ResponseType;
        message: string;
    } | undefined;
}
